org.restlet.engine.http.header

## Class RangeReader

- java.lang.Object
- - org.restlet.engine.http.header.RangeReader

    public class RangeReader
    extends java.lang.Object

Range header reader.

Author:
  Jerome Louvel

### Method Summary

Methods
`static java.util.List<Range>` `read(java.lang.String rangeHeader)` Parse the Range header and returns the list of corresponding Range objects.
`static void` `update(java.lang.String value, Representation representation)` Parse the Content-Range header value and update the given representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### update

    public static void update(java.lang.String value,
              Representation representation)

Parse the Content-Range header value and update the given representation.

Parameters:
  `value` - Content-range header.
  `representation` - Representation to update.

#### read

    public static java.util.List<Range> read(java.lang.String rangeHeader)

Parse the Range header and returns the list of corresponding Range objects.

Parameters:
  `rangeHeader` - The Range header value.
Returns:
  The list of corresponding Range objects.